Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 3bec50ae2f0e34d160b7c5524ce22736baa10388)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -3001,10 +2990,11 @@
                 mag_on_button.SetToolTipString("Turn Pol Beam/Mag scatt on/off")
                 mag_on_button.Bind(wx.EVT_BUTTON, self._on_mag_on)
-                mag_angle_help_button = wx.Button(self, wx.ID_ANY, "Magnetic angles?")
+                mag_angle_help_button = wx.Button(self, wx.ID_ANY,
+                                                  "Magnetic angles?")
                 mag_angle_help_button.SetToolTipString("see angle definitions")
                 mag_help_button = wx.Button(self, wx.ID_ANY, "Mag HELP")
                 mag_help_button.SetToolTipString("Help on pol beam/mag fitting")
                 mag_help_button.Bind(wx.EVT_BUTTON, self._on_mag_help)
-                mag_angle_help_button.Bind(wx.EVT_BUTTON, \
+                mag_angle_help_button.Bind(wx.EVT_BUTTON,
                                             self._on_mag_angle_help)
                 sizer.Add(orient_angle, (iy, ix), (1, 1),
@@ -3019,7 +3009,7 @@
                           wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
 
-                #handle the magnetic buttons
-                #clean this up so that assume mag is off then turn 
-                #all buttons on IF mag has mag and has 2D
+                # handle the magnetic buttons
+                # clean this up so that assume mag is off then turn
+                # all buttons on IF mag has mag and has 2D
                 if not self._has_magnetic:
                     mag_on_button.Show(False)
@@ -3047,5 +3037,5 @@
                 break
 
-        #For Gaussian only
+        # For Gaussian only
         if type.lower() != "array":
             for item in self.model.orientation_params:
@@ -3053,12 +3043,12 @@
                     if item in self.model.magnetic_params:
                         continue
-                if not item in self.disp_list:
-                    ##prepare a spot to store min max
-                    if not item in self.model.details:
+                if item not in self.disp_list:
+                    # prepare a spot to store min max
+                    if item not in self.model.details:
                         self.model.details[item] = ["", None, None]
 
                     iy += 1
                     ix = 0
-                    ## add parameters name with checkbox for selecting to fit
+                    # add parameters name with checkbox for selecting to fit
                     cb = wx.CheckBox(self, wx.ID_ANY, item)
                     cb.SetValue(CHECK_STATE)
@@ -3073,10 +3063,10 @@
                               wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
 
-                    ## add parameter value
+                    # add parameter value
                     ix += 1
                     value = self.model.getParam(item)
                     ctl1 = ModelTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
                                          style=wx.TE_PROCESS_ENTER)
-                    ctl1.SetToolTipString(\
+                    ctl1.SetToolTipString(
                                 "Hit 'Enter' after typing to update the plot.")
                     ctl1.SetValue(format_number(value, True))
@@ -3087,8 +3077,8 @@
                         ctl1.Hide()
                     sizer.Add(ctl1, (iy, ix), (1, 1), wx.EXPAND)
-                    ## text to show error sign
+                    # text to show error sign
                     ix += 1
                     text2 = wx.StaticText(self, -1, '+/-')
-                    sizer.Add(text2, (iy, ix), (1, 1), \
+                    sizer.Add(text2, (iy, ix), (1, 1),
                               wx.EXPAND | wx.ADJUST_MINSIZE, 0)
 
@@ -3155,9 +3145,9 @@
         iy += 1
         box_description.SetForegroundColour(wx.BLUE)
-        #Display units text on panel
+        # Display units text on panel
         for item in keys:
             if item in self.model.details:
                 self.text2_4.Show()
-        #Fill the list of fittable parameters
+        # Fill the list of fittable parameters
         self.get_all_checked_params()
         self.save_current_state_fit()
@@ -3171,5 +3161,5 @@
         Get key stroke event
         """
-        if self.data == None:
+        if self.data is None:
             return
         # Figuring out key combo: Cmd for copy, Alt for paste
Index: src/sas/sasgui/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpanel.py	(revision e6de6b8b31744ebe652ab6206d60d0d20979c592)
+++ src/sas/sasgui/perspectives/fitting/fitpanel.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -187,8 +187,6 @@
         """
 
-        # get number of pages
-        nop = self.GetPageCount()
         # use while-loop, for-loop will not do the job well.
-        while (nop > 0):
+        while (self.GetPageCount() > 0):
             # delete the first page until no page exists
             page = self.GetPage(0)
@@ -197,5 +195,4 @@
             self._close_helper(selected_page=page)
             self.DeletePage(0)
-            nop = self.GetPageCount()
         # Clear list of names
         self.fit_page_name = {}
@@ -240,5 +237,4 @@
         # close all panels only when svs file opened
         self.close_all()
-        self._manager.mypanels = []
         self.sim_page = None
         self.batch_page = None
@@ -248,7 +244,6 @@
         close page and remove all references to the closed page
         """
-        nbr_page = self.GetPageCount()
         selected_page = self.GetPage(self.GetSelection())
-        if nbr_page == 1:
+        if self.GetPageCount() == 1:
             if selected_page.get_data() is not None:
                 if event is not None:
@@ -293,5 +288,5 @@
         copy a dictionary of model into its own dictionary
 
-        :param m_dict: dictionnary made of model name as key and model class
+        :param dict: dictionnary made of model name as key and model class
             as value
         """
@@ -320,5 +315,5 @@
         if caption == "Const & Simul Fit":
             self.sim_page = SimultaneousFitPage(self, page_finder=page_finder,
-                                                 id= wx.ID_ANY, batch_on=False)
+                                                 id=wx.ID_ANY, batch_on=False)
             self.sim_page.window_caption = caption
             self.sim_page.window_name = caption
@@ -397,5 +392,4 @@
             raise ValueError, "Fitpanel delete_data expect list of id"
         else:
-            n = self.GetPageCount()
             for page in self.opened_pages.values():
                 pos = self.GetPageIndex(page)
@@ -441,5 +435,6 @@
         if data_1d_list and data_2d_list:
             # need to warning the user that this batch is a special case
-            from sas.sasgui.perspectives.fitting.fitting_widgets import BatchDataDialog
+            from sas.sasgui.perspectives.fitting.fitting_widgets import \
+                BatchDataDialog
             dlg = BatchDataDialog(self)
             if dlg.ShowModal() == wx.ID_OK:
@@ -461,5 +456,5 @@
                 page = self.add_empty_page()
             if data_1d_list and not data_2d_list:
-                #only on type of data
+                # only on type of data
                 page.fill_data_combobox(data_1d_list)
             elif not data_1d_list and data_2d_list:
@@ -477,5 +472,5 @@
         Add a fitting page on the notebook contained by fitpanel
 
-        :param data: data to fit
+        :param data_list: data to fit
 
         :return panel : page just added for further used.
Index: src/sas/sasgui/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/pagestate.py	(revision 467202f2479da030154e3d3657b1bf2642b5b503)
+++ src/sas/sasgui/perspectives/fitting/pagestate.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -46,6 +46,8 @@
                             ["npts", "npts", "float"],
                             ["categorycombobox", "categorycombobox", "string"],
-                            ["formfactorcombobox", "formfactorcombobox", "string"],
-                            ["structurecombobox", "structurecombobox", "string"],
+                            ["formfactorcombobox", "formfactorcombobox",
+                             "string"],
+                            ["structurecombobox", "structurecombobox",
+                             "string"],
                             ["multi_factor", "multi_factor", "float"],
                             ["magnetic_on", "magnetic_on", "bool"],
@@ -65,6 +67,6 @@
                             ["smearer", "smearer", "float"],
                             ["smear_type", "smear_type", "string"],
-                            ["dq_l", "dq_l", "string"],
-                            ["dq_r", "dq_r", "string"],
+                            ["dq_l", "dq_l", "float"],
+                            ["dq_r", "dq_r", "float"],
                             ["dx_max", "dx_max", "float"],
                             ["dx_min", "dx_min", "float"],
@@ -80,5 +82,6 @@
                             ["str_parameters", "str_parameters"],
                             ["orientation_parameters", "orientation_params"],
-                            ["dispersity_parameters", "orientation_params_disp"],
+                            ["dispersity_parameters",
+                             "orientation_params_disp"],
                             ["fixed_param", "fixed_param"],
                             ["fittable_param", "fittable_param"]]
@@ -120,10 +123,10 @@
             try:
                 return node.get(item[0]).strip() == "True"
-            except:
+            except Exception:
                 return None
         else:
             try:
                 return float(node.get(item[0]))
-            except:
+            except Exception:
                 return None
 
@@ -188,5 +191,5 @@
         # page name
         self.page_name = ""
-        # Contains link between model, all its parameters, and panel organization
+        # Contains link between model, its parameters, and panel organization
         self.parameters = []
         # String parameter list that can not be fitted
@@ -305,5 +308,6 @@
         obj.fittable_param = copy.deepcopy(self.fittable_param)
         obj.orientation_params = copy.deepcopy(self.orientation_params)
-        obj.orientation_params_disp = copy.deepcopy(self.orientation_params_disp)
+        obj.orientation_params_disp = \
+            copy.deepcopy(self.orientation_params_disp)
         obj.enable_disp = copy.deepcopy(self.enable_disp)
         obj.disable_disp = copy.deepcopy(self.disable_disp)
@@ -397,5 +401,5 @@
         rep += "data : %s\n" % str(self.data)
         rep += "Plotting Range: min: %s, max: %s, steps: %s\n" % \
-               (str(self.qmin),str(self.qmax), str(self.npts))
+               (str(self.qmin), str(self.qmax), str(self.npts))
         rep += "Dispersion selection : %s\n" % str(self.disp_box)
         rep += "Smearing enable : %s\n" % str(self.enable_smearer)
@@ -413,8 +417,8 @@
 
         rep += "2D enable : %s\n" % str(self.enable2D)
-        rep += "All parameters checkbox selected: %s\n" % str(self.cb1)
+        rep += "All parameters checkbox selected: %s\n" % self.cb1
         rep += "Value of Chisqr : %s\n" % str(self.tcChi)
-        rep += "Smear object : %s\n" % str(self.smearer)
-        rep += "Smear type : %s\n" % str(self.smear_type)
+        rep += "Smear object : %s\n" % self.smearer
+        rep += "Smear type : %s\n" % self.smear_type
         rep += "dq_l  : %s\n" % self.dq_l
         rep += "dq_r  : %s\n" % self.dq_r
@@ -478,5 +482,5 @@
                 value = content[1]
             except Exception:
-                msg = "Report string expected 'name: value' but got %r"%line
+                msg = "Report string expected 'name: value' but got %r" % line
                 logging.error(msg)
             if name.count("State created"):
@@ -493,9 +497,8 @@
             if name == "value":
                 param_string += value + ','
+            fixed_parameter = False
             if name == "selected":
                 if value == u' False':
                     fixed_parameter = True
-                else:
-                    fixed_parameter = False
             if name == "error value":
                 if fixed_parameter:
@@ -617,5 +620,5 @@
         dialog.Show()
 
-    def _toXML_helper(self, thelist, element, newdoc):
+    def _to_xml_helper(self, thelist, element, newdoc):
         """
         Helper method to create xml file for saving state
@@ -635,6 +638,6 @@
             element.appendChild(sub_element)
 
-    def toXML(self, file="fitting_state.fitv", doc=None,
-              entry_node=None, batch_fit_state=None):
+    def to_xml(self, file="fitting_state.fitv", doc=None,
+               entry_node=None, batch_fit_state=None):
         """
         Writes the state of the fit panel to file, as XML.
@@ -648,4 +651,5 @@
         :param entry_node: XML node within the XML document at which we
                            will append the data [optional]
+        :param batch_fit_state: simultaneous fit state
         """
         from xml.dom.minidom import getDOMImplementation
@@ -746,6 +750,6 @@
         for item in LIST_OF_STATE_PARAMETERS:
             element = newdoc.createElement(item[0])
-            self._toXML_helper(thelist=getattr(self, item[1]),
-                               element=element, newdoc=newdoc)
+            self._to_xml_helper(thelist=getattr(self, item[1]),
+                                element=element, newdoc=newdoc)
             inputs.appendChild(element)
 
@@ -765,5 +769,6 @@
             for constraint in batch_fit_state.constraints_list:
                 if constraint.model_cbox.GetValue() != "":
-                    # model_cbox, param_cbox, egal_txt, constraint, btRemove, sizer
+                    # model_cbox, param_cbox, egal_txt, constraint,
+                    # btRemove, sizer
                     doc_cons = newdoc.createElement('constraint')
                     doc_cons.setAttribute('model_cbox',
@@ -808,5 +813,5 @@
             return newdoc
 
-    def _fromXML_helper(self, node, list):
+    def _from_xml_helper(self, node, list):
         """
         Helper function to write state to xml
@@ -858,5 +863,5 @@
                          [maximum_displayed, maximum_value], unit])
 
-    def fromXML(self, file=None, node=None):
+    def from_xml(self, file=None, node=None):
         """
         Load fitting state from a file
@@ -887,11 +892,11 @@
                     logging.error(msg)
 
-            # Parse fitting attributes
-            entry = get_content('ns:Attributes', node)
-            for item in LIST_OF_DATA_ATTRIBUTES:
-                node = get_content('ns:%s' % item[0], entry)
-                setattr(self, item[0], parse_entry_helper(node, item))
-
             if entry is not None:
+                # Parse fitting attributes
+                entry = get_content('ns:Attributes', node)
+                for item in LIST_OF_DATA_ATTRIBUTES:
+                    node = get_content('ns:%s' % item[0], entry)
+                    setattr(self, item[0], parse_entry_helper(node, item))
+
                 for item in LIST_OF_STATE_ATTRIBUTES:
                     node = get_content('ns:%s' % item[0], entry)
@@ -900,5 +905,6 @@
                 for item in LIST_OF_STATE_PARAMETERS:
                     node = get_content("ns:%s" % item[0], entry)
-                    self._fromXML_helper(node=node, list=getattr(self, item[1]))
+                    self._from_xml_helper(node=node,
+                                          list=getattr(self, item[1]))
 
                 # Recover _disp_obj_dict from xml file
@@ -950,6 +956,4 @@
         """
         images = []
-        # some imports
-        import wx
 
         # Reset memory
@@ -958,5 +962,5 @@
 
         # For no figures in the list, prepare empty plot
-        if figs == None or len(figs) == 0:
+        if figs is None or len(figs) == 0:
             figs = [None]
 
@@ -965,9 +969,9 @@
         self.imgRAM = wx.MemoryFSHandler()
         for fig in figs:
-            if figs != None:
+            if fig is not None:
                 ind = figs.index(fig)
                 canvas = canvases[ind]
 
-            #store the image in wx.FileSystem Object
+            # store the image in wx.FileSystem Object
             wx.FileSystem.AddHandler(wx.MemoryFSHandler())
 
@@ -975,9 +979,9 @@
             ind = figs.index(fig)
 
-            #AddFile, image can be retrieved with 'memory:filename'
+            # AddFile, image can be retrieved with 'memory:filename'
             self.imgRAM.AddFile('img_fit%s.png' % ind,
                                 canvas.bitmap, wx.BITMAP_TYPE_PNG)
 
-            #append figs
+            # append figs
             images.append(fig)
 
@@ -989,11 +993,11 @@
     Class to load a .fitv fitting file
     """
-    ## File type
+    # File type
     type_name = "Fitting"
 
-    ## Wildcards
+    # Wildcards
     type = ["Fitting files (*.fitv)|*.fitv"
             "SASView file (*.svs)|*.svs"]
-    ## List of allowed extensions
+    # List of allowed extensions
     ext = ['.fitv', '.FITV', '.svs', 'SVS']
 
@@ -1009,7 +1013,7 @@
 
         """
-        ## Call back method to be executed after a file is read
+        # Call back method to be executed after a file is read
         self.call_back = call_back
-        ## CanSAS format flag
+        # CanSAS format flag
         self.cansas = cansas
         self.state = None
@@ -1027,5 +1031,5 @@
 
         """
-        if self.cansas == True:
+        if self.cansas:
             return self._read_cansas(path)
 
@@ -1061,5 +1065,5 @@
         for item in datainfo.run:
             runname = {}
-            if datainfo.run_name.has_key(item) and \
+            if item in datainfo.run_name and \
                             len(str(datainfo.run_name[item])) > 1:
                 runname = {'name': datainfo.run_name[item]}
@@ -1076,5 +1080,4 @@
             root_node = doc.createElement(item[0])
             new_node.appendChild(root_node)
-            temp_list = None
             temp_list = getattr(datainfo, item[1])
 
@@ -1113,5 +1116,5 @@
                                        datainfo.sample.position.z,
                                        {"unit": datainfo.sample.position_unit})
-        if written == True:
+        if written:
             sample.appendChild(pos)
 
@@ -1121,9 +1124,11 @@
         written = written | write_node(doc, ori, "pitch",
                                        datainfo.sample.orientation.y,
-                                       {"unit": datainfo.sample.orientation_unit})
+                                       {"unit":
+                                            datainfo.sample.orientation_unit})
         written = written | write_node(doc, ori, "yaw",
                                        datainfo.sample.orientation.z,
-                                       {"unit": datainfo.sample.orientation_unit})
-        if written == True:
+                                       {"unit":
+                                            datainfo.sample.orientation_unit})
+        if written:
             sample.appendChild(ori)
 
@@ -1153,5 +1158,5 @@
                                        datainfo.source.beam_size.z,
                                        {"unit": datainfo.source.beam_size_unit})
-        if written == True:
+        if written:
             source.appendChild(size)
 
@@ -1198,5 +1203,5 @@
                 written = written | write_node(doc, size, "z", apert.size.z,
                                                {"unit": apert.size_unit})
-                if written == True:
+                if written:
                     ap.appendChild(size)
 
@@ -1210,5 +1215,5 @@
                                            item.slit_length,
                                            {"unit": item.slit_length_unit})
-            if written == True:
+            if written:
                 instr.appendChild(det)
 
@@ -1220,5 +1225,5 @@
             written = written | write_node(doc, off, "z", item.offset.z,
                                            {"unit": item.offset_unit})
-            if written == True:
+            if written:
                 det.appendChild(off)
 
@@ -1232,5 +1237,5 @@
                                            item.beam_center.z,
                                            {"unit": item.beam_center_unit})
-            if written == True:
+            if written:
                 det.appendChild(center)
 
@@ -1242,5 +1247,5 @@
             written = written | write_node(doc, pix, "z", item.pixel_size.z,
                                            {"unit": item.pixel_size_unit})
-            if written == True:
+            if written:
                 det.appendChild(pix)
 
@@ -1253,5 +1258,5 @@
             written = written | write_node(doc, ori, "yaw", item.orientation.z,
                                            {"unit": item.orientation_unit})
-            if written == True:
+            if written:
                 det.appendChild(ori)
 
@@ -1290,5 +1295,5 @@
                 # Create an empty state
                 state = PageState()
-                state.fromXML(node=nodes[0])
+                state.from_xml(node=nodes[0])
 
         except:
@@ -1314,12 +1319,13 @@
                 simfitstate_0 = simfitstate[0]
                 all = simfitstate_0.xpath('ns:select_all',
-                                        namespaces={'ns': CANSAS_NS})
+                                          namespaces={'ns': CANSAS_NS})
                 atts = all[0].attrib
                 checked = atts.get('checked')
                 sim_fit_state.select_all = bool(checked)
                 model_list = simfitstate_0.xpath('ns:model_list',
-                                               namespaces={'ns': CANSAS_NS})
+                                                 namespaces={'ns': CANSAS_NS})
                 model_list_items = model_list[0].xpath('ns:model_list_item',
-                                                   namespaces={'ns': CANSAS_NS})
+                                                       namespaces={'ns':
+                                                                    CANSAS_NS})
                 for model in model_list_items:
                     attrs = model.attrib
@@ -1368,5 +1374,5 @@
             return return_value, _
 
-        #Parse 2D
+        # Parse 2D
         data_info = Data2D()
 
@@ -1590,5 +1596,5 @@
         for entry in nodes:
             for item in LIST_OF_DATA_2D_ATTR:
-                #get node
+                # get node
                 node = get_content('ns:%s' % item[0], entry)
                 setattr(data_info, item[1], parse_entry_helper(node, item))
@@ -1633,5 +1639,4 @@
                     entry_list = root.xpath('ns:SASentry',
                                             namespaces={'ns': CANSAS_NS})
-                    name_map = {}
                     for entry in entry_list:
                         try:
@@ -1679,5 +1684,5 @@
                         state.data.is_data = state.is_data
                     if output[ind].run_name is not None\
-                        and len(output[ind].run_name) != 0:
+                         and len(output[ind].run_name) != 0:
                         if isinstance(output[ind].run_name, dict):
                             name = output[ind].run_name.keys()[0]
@@ -1715,5 +1720,5 @@
             # Write the XML document
         else:
-            doc = fitstate.toXML(file=filename)
+            doc = fitstate.to_xml(file=filename)
 
         # Save the document no matter the type
@@ -1749,6 +1754,6 @@
 
         if state is not None:
-            doc = state.toXML(doc=doc, file=data.filename, entry_node=sasentry,
-                              batch_fit_state=self.batchfit_params)
+            doc = state.to_xml(doc=doc, file=data.filename, entry_node=sasentry,
+                               batch_fit_state=self.batchfit_params)
 
         return doc
